%define	name	licq
%define	licqver	1.0.3
%define	release	2
%define	epoch	1
%define	prefix	/usr

%define srcinc	%{name}-%{licqver}/include

Summary:	An ICQ clone written in C and C++.
Name:		%{name}
Version:	%{licqver}
Release:	%{release}
Epoch:		%{epoch}
Prefix:		%{prefix}
Copyright:	GPL
Group:		Applications/Networking
URL:		http://www.licq.org/
Vendor:		Graham Roff <graham@licq.org>
Source:		%{name}-%{licqver}.tar.gz
Source1:	licq.wmconfig                                                          
Source2:	licq.mini-icon.xpm                                                     
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Obsoletes:	licq-data
Provides:	licq-data

%description
Licq includes all the basic features of ICQ, like sending/receiving
messages, chat, file transfer, contact list with pixmaps and user
status, basic/extended user info, add/edit users from within the gui,
user history, user groups, new user registration. All commands and
information are available through a simple and convenient tab
dialog. Licq also has a completely configurable user interface with
Skin and Icon pack support. It is written in C++ using the Qt widget
set.

This package contains just the Licq base daemon with no user
interface or plugins.

%package	qt
Summary:	Licq Qt-GUI Plugin.
Version:	1.0.3
Copyright:	QPL/GPL
Group:		Applications/Networking
Requires:	%{name} = %{licqver}, qt >= 2.1.0
BuildPrereq:	qt-devel >= 2.1.0

%description	qt
A plugin for Licq to enable a gui based on Qt.

%package	autoreply
Summary:	Licq ICQ Auto Replyer Plugin
Version:	1.0.1
Copyright:	GPL
Group:		Applications/Networking
Requires:	%{name} = %{licqver}

%description	autoreply
A plugin for Licq, an ICQ auto replyer

%package	console
Summary:	Licq Console Plugin
Version:	1.0.2
Copyright:	GPL
Group:		Applications/Networking
Requires:	%{name} = %{licqver}

%description	console
A plugin for Licq, a console ui plugin.

%package	forwarder
Summary:	Licq ICQ Forwarder Plugin
Version:	1.0.1
Copyright:	GPL
Group:		Applications/Networking
Requires:	%{name} = %{licqver}

%description	forwarder
A plugin for Licq, an ICQ forwarder.

## GTK plugin not contained in Full Release tar.gz
#%package	gtk
#Summary:	Licq Gtk-GUI Plugin.
#Version:	0.10
#Copyright:	GPL
#Group:		Applications/Networking
#Requires:	%{name} = %{licqver}, gtk+ >= 1.2.0
#BuildPrereq:	gtk+-devel >= 1.2.0
#
#%description	gtk
#A plugin for Licq to enable a gui based on Gtk.

%package	rms
Summary:	Licq RMS Plugin.
Version:	0.22
Copyright:	GPL
Group:		Applications/Networking
Requires:	%{name} = %{licqver}

%description	rms
A plugin for Licq.
ICQ remote management server for telnet ICQ access.

%prep
%setup -q

%build
export CFLAGS="${RPM_OPT_FLAGS}" CXXFLAGS="${RPM_OPT_FLAGS}";

./configure --prefix=%{prefix};
uname -a |grep -q SMP && make -j 2 || make;

cd plugins;
for i in `ls -1`; do
    if [ ! -L $i ] && [ -d $i ] && [ -x "$i/configure" ]; then
        cd $i;
        # This is not needed currently.
        # [ -f Makefile.cvs ] && make -f Makefile.cvs;
        ./configure --prefix=%{prefix} --cache-file=../../config.cache \
            --srcdir=. --with-licq-includes="$RPM_BUILD_DIR/%{srcinc}";
        uname -a |grep -q SMP && make -j 2 || make;
        cd ..;
    fi
done
cd ..;

%install
[ -d ${RPM_BUILD_ROOT} ] && rm -r ${RPM_BUILD_ROOT};
make install prefix=${RPM_BUILD_ROOT}%{prefix};

cd plugins;
for i in `ls -1`; do
    if [ ! -L $i ] && [ -d $i ] && [ -x "$i/configure" ]; then
        cd $i;
        make install prefix=${RPM_BUILD_ROOT}%{prefix};
        [ -e "licq_autoreply.conf" ] && install -m 644 licq_autoreply.conf ${RPM_BUILD_ROOT}%{prefix}/share/licq/licq_autoreply.conf.dist;
        [ -e "licq_forwarder.conf" ] && install -m 644 licq_forwarder.conf ${RPM_BUILD_ROOT}%{prefix}/share/licq/licq_forwarder.conf.dist;
        cd ..;
    fi
done
cd ..;
mkdir -p ${RPM_BUILD_ROOT}%{prefix}/share/icons/mini
mkdir -p ${RPM_BUILD_ROOT}/etc/X11/wmconfig
install %{SOURCE1} ${RPM_BUILD_ROOT}/etc/X11/wmconfig/licq                        
install %{SOURCE2} ${RPM_BUILD_ROOT}%{prefix}/share/icons/mini/licq-mini.xpm           
(
	rm bin/.cvsignore || true;
	rm bin/Makefile* || true;
	cp -par bin ${RPM_BUILD_ROOT}%{prefix}/share/licq/contrib
)

## Fix Permissions on %{prefix}/share/licq
chmod 0755 ${RPM_BUILD_ROOT}%{prefix}/share/licq

%clean
[ -d ${RPM_BUILD_ROOT} ] && rm -r ${RPM_BUILD_ROOT};

%files
%defattr(-,root,root)
%{prefix}/bin/licq
%{prefix}/include/licq
%dir %{prefix}/lib/licq
%dir %{prefix}/share/licq
%{prefix}/share/licq/contrib
%{prefix}/share/licq/sounds
%{prefix}/share/licq/translations
%{prefix}/share/licq/utilities

%files	qt
%defattr(-,root,root)
/etc/X11/wmconfig/licq                        
%{prefix}/lib/licq/licq_qt-gui.*
%{prefix}/share/licq/qt-gui
%{prefix}/share/icons/mini/licq-mini.xpm           

%files	autoreply
%defattr(-,root,root)
%{prefix}/lib/licq/licq_autoreply.*
%{prefix}/share/licq/licq_autoreply.conf.dist

%files	console
%defattr(-,root,root)
%{prefix}/lib/licq/licq_console.*

%files	forwarder
%defattr(-,root,root)
%{prefix}/lib/licq/licq_forwarder.*
%{prefix}/share/licq/licq_forwarder.conf.dist

## GTK plugin not contained in Full Release tar.gz
#%files	gtk
#%defattr(-,root,root)
#%{prefix}/lib/licq/licq_jons-gtk-gui.*

%files	rms
%defattr(-,root,root)
%{prefix}/lib/licq/licq_rms.*

%changelog
* Wed Mar 07 2001 Ryan Weaver <ryanw@infohwy.com>
  [licq-1.0.3-2]
- Fixed directory permissions of shared dir from 0777 to 0755.

* Tue Mar 06 2001 Ryan Weaver <ryanw@infohwy.com>
  [licq-1.0.3-1]
- Updated to release 1.0.3.
- See Changelog for details.

